# MiSTer Native MIDI (Atari ST/Amiga Cores)

MiSTer with modified MiSTery/Minimig cores can use native MIDI via the User IO port on MiSTer with an IO board (Digital IO or standard IO Board with 'USB' User IO port)

## Suitable Hardware

MickGyver's MiSTer MIDI Board

[https://daemonbite.com](https://daemonbite.com)

Olimex SHIELD-MIDI

[https://www.olimex.com/Products/Duino/Shields/SHIELD-MIDI/open-source-hardware] (https://www.olimex.com/Products/Duino/Shields/SHIELD-MIDI/open-source-hardware)

MiST MIDIAddon Board

[https://github.com/mist-devel/mist-board/wiki/MidiAddon](https://github.com/mist-devel/mist-board/wiki/MidiAddon) 

## Notes On Power (IMPORTANT!!)

Only use MIDI shields/addon boards with 3.3v circuitry, using 5v will overvolt your DE10 and can permanently damage it! Set the jumper near your User IO port on your IO board to 3.3v as well!

Both the MiST MidiAddon Board and MickGyver's don't need voltage set on their respective MIDI boards, however, when using an Olimex SHIELD-MIDI, remember to set the power jumper on the Olimex to 3.3v! 

#####DO NOT USE THE COMMON ARDUINO MIDI SHIELD (GREEN PCB), AS THEY ONLY USE 5V!


## Wiring

####The Olimex SHIELD-MIDI is wired to a USB 2.0 cable as follows:
![Olimex SHIELD-MIDI Wiring](OLIMEX-SHIELD-MIDI-WIRING.png)
![Olimex SHIELD-MIDI Power](OLIMEX-SHIELD-MIDI-POWER.png)

####MiST MIDIAddon Board is wired to a USB 2.0 cable as follows:
![MiST MidiAddon Wiring](MiST_MIDIADDON_WIRING.png)


####MickGyver's MIDI Board 
(Coming Soon!)

## Core Support

MickGyver has modified both the Atari ST and Amiga cores to support native MIDI via User IO. The modified cores don't need MIDI/UART configured in their respective menus, however MIDILink doesn't work (hopefully someone can help break these changes out to a core setting, if this happens, please edit).


## Thanks

Thanks to Till Harbaum for MiST/MiST's MidiAddon Board/originally implementing native MIDI in both cores, and to MickGyver for the modified MiSTer cores!